> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zayo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get PBR traffic Statistics



## OpenAPI

````yaml /openapi.json post /statistics/pbr_traffic
openapi: 3.1.0
info:
  title: NIRO API
  description: Tenant API shema for NIRO
  version: NIRO-2.13.0
servers: []
security: []
tags:
  - name: service - aws
    description: >-
      Management of AWS cloud credentials, enabling seamless integration and
      automated connectivity
  - name: service - looking glass
    description: Test network connectivity
  - name: service - SDR
    description: >-
      Management for SDR (Session Details Records), a superset of classic
      NetFlow data
  - name: tenant
    description: >-
      Manage tenant-related information like packages and services as well as
      contact information
  - name: tenant - virtual interface
    description: Management for VIs (Virtual Interfaces)
  - name: group
    description: >-
      Predefined Groups of IP prefixes and IPs ready to be used in filters for
      firewall and other services
  - name: sites
    description: >-
      Manage information about sites providing network reach to order new
      Customer Ports
paths:
  /statistics/pbr_traffic:
    post:
      tags:
        - statistics
      summary: Get PBR traffic Statistics
      operationId: get_pbr_traffic_statistics_statistics_pbr_traffic_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/StatisticsPbrRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatisticsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearerFromCookie: []
components:
  schemas:
    StatisticsPbrRequest:
      properties:
        since:
          type: string
          format: date-time
          title: Since
        until:
          type: string
          format: date-time
          title: Until
        sample_rate:
          $ref: '#/components/schemas/SampleRate'
          default: auto
        column:
          items:
            $ref: '#/components/schemas/StatisticsPbrMetricsColumns'
          type: array
          title: Column
        filters:
          $ref: '#/components/schemas/StatisticsPbrFilters'
        flags:
          anyOf:
            - $ref: '#/components/schemas/StatisticsPbrTraficFlags'
            - type: 'null'
      type: object
      required:
        - since
        - until
        - column
        - filters
      title: StatisticsPbrRequest
    StatisticsResponse:
      properties:
        samples:
          items:
            additionalProperties: true
            type: object
          type: array
          title: Samples
          default: []
        sample_rate:
          type: string
          title: Sample Rate
      type: object
      required:
        - sample_rate
      title: StatisticsResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SampleRate:
      type: string
      enum:
        - auto
        - 10s
        - 30s
        - 1m
        - 5m
        - 15m
        - 1h
      title: SampleRate
      description: Enum defining the sample rate in any Statistics API request
    StatisticsPbrMetricsColumns:
      type: string
      enum:
        - cps
        - bps
        - pps
        - bytes
        - packets
        - connections
        - concurrent_connections
      title: StatisticsPbrMetricsColumns
    StatisticsPbrFilters:
      properties:
        vrf_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Vrf Name
        rule_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Rule Name
        tenant_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Tenant Name
      additionalProperties: false
      type: object
      title: StatisticsPbrFilters
    StatisticsPbrTraficFlags:
      properties:
        group_by_rule_name:
          type: boolean
          title: Group By Rule Name
          default: true
      additionalProperties: false
      type: object
      title: StatisticsPbrTraficFlags
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearerFromCookie:
      type: http
      scheme: bearer

````